Update an Illustration Run in API Explorer
Ask AI
PUT
/api/v1/illustration/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/illustration/53f22fe4-3731-4cdc-aa12-e65bd0b15e52' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "SuperSaver 2024",
"request_data": {},
"generate": true
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "SuperSaver 2024",
"request_data": {},
"generate": true
}
Response examples (200)
{
"uuid": "65d41154-7eca-4b5c-9d47-9757aaaee537",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"generated_at": "2026-11-20T16:36:29+00:00",
"status": "created",
"client": {
"uuid": "f408f4d2-8036-4a1b-aac5-cab3bcfaaf0c",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "0c31b1ab-1883-4ec4-9ba6-4651d5bb8035",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"accounts": [
{
"uuid": "724dfe6d-3db8-408b-bce7-ee3342f631f9",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "0c31b1ab-1883-4ec4-9ba6-4651d5bb8035",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"application": {
"uuid": "1fdae5b3-dc1c-4ea9-8a8f-588bede39847",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"generated_at": "2026-11-20T16:36:29+00:00",
"name": "Illustration Name",
"request_data": [],
"status": "draft",
"platform": "seccl",
"platform_illustration_id": "ABC0123456789",
"clients": [
"App\\Http\\Resources\\MinimalAccountResource"
],
"firm": {
"uuid": "0fb903fe-2d90-4f65-915a-5fa7a9ca7b82",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"illustration": {
"uuid": "86b867a6-1782-437d-881d-20243d353127",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"generated_at": "2026-11-20T16:36:35+00:00",
"status": "created",
"name": "Illustration Name",
"request_data": [],
"platform": "seccl",
"platform_illustration_id": "ABC0123456789",
"account_opening_allowed": true,
"is_draft": true
},
"requested_by": {
"uuid": "c91ffa52-3582-4b6b-bfc7-8bd231516953",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"plan": {
"uuid": "8e786f13-7f38-45fa-8d00-0be9fdaf7bda",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"opened_at": "2026-11-20T16:36:35+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T16:36:35+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T16:36:35+00:00",
"original_valued_at": "2026-11-19T16:36:35+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
}
},
"plan": {
"uuid": "ef67804b-771e-4ebc-837c-413556a5c4a5",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"opened_at": "2026-11-20T16:36:29+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T16:36:29+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"main_account": {
"uuid": "e6914045-cfb2-41db-ae64-d5ddbe7d7a0f",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"sub_accounts": {
"uuid": "e6914045-cfb2-41db-ae64-d5ddbe7d7a0f",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"provider": {
"uuid": "24316246-3fed-4156-a68a-22f3c1e8c6d2",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"covers": {
"uuid": "076bf842-6b8d-4941-b357-c960c7d55173",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"indexation": 1.4
},
"claims": {
"uuid": "bd5041cc-248d-408e-9a2a-da7391acd4f2",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"claim_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"claim_start_date": "2025-11-20",
"claim_end_date": "2031-11-20",
"claim_notes": "Claim notes"
},
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
}
},
"latest_valuations": {
"uuid": "025b30f8-fce6-4743-880a-a1b229bd164a",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"valued_at": "2026-11-20T16:36:35+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T16:36:29+00:00",
"original_valued_at": "2026-11-19T16:36:29+00:00",
"client": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"accounts": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"seller": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"linked_owners": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"linked_plans": {
"uuid": "8e786f13-7f38-45fa-8d00-0be9fdaf7bda",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"opened_at": "2026-11-20T16:36:35+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T16:36:35+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T16:36:35+00:00",
"original_valued_at": "2026-11-19T16:36:35+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"visible_to_circles": {
"uuid": "ff69aecb-511f-4cc2-a320-d88d97e06680",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-20T16:36:35+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "05e946c3-fd58-4fdd-aca4-f618b10a2aa3",
"login_access_level": "write",
"current_life_stage_uuid": "b5729d2f-4b6f-4a09-8da9-03eb7520e7a4"
},
"statistics": {
"recent_growth": 100
},
"cases": {
"uuid": "d7493f21-ab55-4d06-8002-baa1a60662a1",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "finance",
"slug": "finance",
"review_at": "2026-11-20T16:36:35+00:00",
"assigned_to_uuids": [
null
],
"group_uuids": [
null
],
"completed_at": "2026-11-20T16:36:35+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"task_board_uuid": null
},
"tags": {
"uuid": "aab7084c-b9c0-40e5-aed1-0981f7235489",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"is_wrap_product": false,
"is_wrap_child": false,
"wrap": {
"uuid": "8e786f13-7f38-45fa-8d00-0be9fdaf7bda",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"opened_at": "2026-11-20T16:36:35+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T16:36:35+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T16:36:35+00:00",
"original_valued_at": "2026-11-19T16:36:35+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"wrap_children": {
"uuid": "8e786f13-7f38-45fa-8d00-0be9fdaf7bda",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"opened_at": "2026-11-20T16:36:35+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T16:36:35+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T16:36:35+00:00",
"original_valued_at": "2026-11-19T16:36:35+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"linked_policy_numbers": {
"uuid": "3ffb7a2e-d039-4872-828f-7f4ef6e5ab86",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"linked_policy_number": "ABC123-X"
},
"can_be_deleted": "false",
"contract_enquiry_account": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"mortgage_product": {
"uuid": "dd2ab9b8-80ba-4d5f-ac01-5cb1fa2506af",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"provider_reference": "example-reference",
"provider_scenario_name": "Single Applicant, Small Deposit",
"provider_scenario_data": [],
"lender_name": "HSBC",
"product_title": "5% Fixed Rate - 5 year",
"term_months": 300,
"advance_amount": null,
"initial_rate": 4.29,
"initial_rate_type": "Fixed",
"rate_control_period_months": 24,
"initial_monthly_payment_amount": null,
"reversionary_rate": 7.49,
"reversionary_monthly_payment_amount": null,
"total_amount_payable": null,
"lender_fees": [
{
"type": "product_fee",
"amount": null,
"added_to_loan": false,
"charged": "initial"
}
],
"total_lender_fees_amount": null,
"early_repayment_charge_description": "3% until 31/12/2027",
"early_repayment_charges": [
{
"end_date": "2027-12-31",
"end_period_months": 24,
"amount": null
}
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "0c31b1ab-1883-4ec4-9ba6-4651d5bb8035",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"requested_by": {
"uuid": "307c0a9b-6ff4-4e92-87bc-f063c6a3a597",
"created_at": "2026-11-20T16:36:29+00:00",
"updated_at": "2026-11-20T16:36:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "0fb903fe-2d90-4f65-915a-5fa7a9ca7b82",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "08a7e388-87f2-491d-ac3c-3b2726e8d8ea",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "08a7e388-87f2-491d-ac3c-3b2726e8d8ea",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "04ac5464-cd53-48cf-9f1d-acebc7779a7c",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-11-20T15:46:35+00:00",
"end_date": "2026-11-20T16:14:35+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "eac4947b-5aa7-4622-a306-33463d001270",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00"
},
"tags": {
"uuid": "aab7084c-b9c0-40e5-aed1-0981f7235489",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "cd1ac326-7877-49a3-853e-845cb5c0dd68",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T16:36:35+00:00",
"next_review_date": "2026-11-20T16:36:35+00:00",
"previous_review_date": "2026-11-20T16:36:35+00:00",
"anniversary_review_date": "2026-11-20T16:36:35+00:00",
"terms_of_business_at": "2026-11-20T16:36:35+00:00",
"client_agreement_at": "2026-11-20T16:36:35+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:35",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:35+00:00",
"out_of_office_until": "2026-11-20T16:36:35+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-11-20T16:36:29+00:00",
"next_review_date": "2026-11-20T16:36:29+00:00",
"previous_review_date": "2026-11-20T16:36:29+00:00",
"anniversary_review_date": "2026-11-20T16:36:29+00:00",
"terms_of_business_at": "2026-11-20T16:36:29+00:00",
"client_agreement_at": "2026-11-20T16:36:29+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ff69aecb-511f-4cc2-a320-d88d97e06680",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-20T16:36:35+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "05e946c3-fd58-4fdd-aca4-f618b10a2aa3",
"login_access_level": "write",
"current_life_stage_uuid": "b5729d2f-4b6f-4a09-8da9-03eb7520e7a4"
},
"circles": {
"uuid": "ff69aecb-511f-4cc2-a320-d88d97e06680",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-11-20T16:36:35+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "05e946c3-fd58-4fdd-aca4-f618b10a2aa3",
"login_access_level": "write",
"current_life_stage_uuid": "b5729d2f-4b6f-4a09-8da9-03eb7520e7a4"
},
"ownership_percentage": 100,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 16:36:29",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T16:36:29+00:00",
"out_of_office_until": "2026-11-20T16:36:29+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "c452b8d8-902b-483e-82fa-d936221aaabe",
"name": "Gold",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
},
"external_references": {
"uuid": "0c31b1ab-1883-4ec4-9ba6-4651d5bb8035",
"created_at": "2026-11-20T16:36:35+00:00",
"updated_at": "2026-11-20T16:36:35+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"name": "Illustration Name",
"request_data": [],
"platform": "seccl",
"platform_illustration_id": "ABC0123456789",
"account_opening_allowed": true,
"is_draft": true
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}